<template>
  <v-container>
    <div id="chart">
      <apexchart type="bar" :width="width" :height="height" :options="chartOptions" :series="series"></apexchart>
    </div>
  </v-container>
</template>
<script>
export default {
  name: 'ChartLine',
  props: {
    'title': { default: '', type: String },
    'titleX': { default: '', type: String },
    'titleY': { default: '', type: String },
    'width': { default: '100%', type: String },
    'height': { default: 350, type: Number },
    'series': { type: Array },
  },
  data() {
    return {
      chartOptions: {
        chart: {
          type: 'bar',
          height: 350,
          width: this.width,
        },
        plotOptions: {
          bar: {
            borderRadius: 4,
            horizontal: true,
          },
        },
        dataLabels: {
          enabled: false,
        },
        xaxis: {
          categories: ['Estrés', 'Depresión', 'Ansiedad', 'Pareja', 'Soledad'],
          title: {
            text: this.titleX,
            style: {
              color: '#909399',
            },
          },
        },
      },
    };
  },
};
</script>
